Subject: Re: bug#8104: automake suggests use of AC_PROG_LIBTOOL, this has been replaced by LT_INIT

From: Ralf Wildenhues <[email-masked]>
Date: Sat, 26 Feb 2011 12:28:07 +0100

* Stefano Lattarini wrote on Thu, Feb 24, 2011 at 10:45:11AM CET:
> I agree with Jack that advertising the use of LT_INIT would be better,
> since, according to Libtool NEWS file, that has obsoleted AC_PROG_LIBTOOL
> since version 1.9b (2004-08-29).

Yes.  There are still 1.5.x users out there, but my patience with them
is starting to go down.

> What about the attached patch (for maint)?

Yes, if it has been tested that it will skip when Libtool 1.5.x macros
are in place.  LT_PREREQ has been introduced in 1.9b only.  Also, I
think that if the LT_PREREQ check fails, it will fail already at aclocal
run time, but I am not sure of that.

Thanks,
Ralf

> Subject: [PATCH] libtool: suggest LT_INIT if LTLIBRARIES primary is used
> 
> When the LTLIBRARIES primary was used, but $(LIBTOOL) wasn't
> defined, automake suggested to add a call to AC_PROG_LIBTOOL
> in configure.ac.  But that macro is deprecated since Libtool
> version 1.9b (2004-08-29), in favor of the newer LT_INIT.  So
> suggest the use of this latter macro instead.
> 
> * lib/Automake/Variable.pm (%_am_macro_for_var): Pair 'LIBTOOL'
> with 'LT_INIT', not with 'AC_PROG_LIBTOOL'.
> * libtool4.test: Adjust and extend.  Also, add a call to macro
> AC_PROG_CC in configure.in, to help ensuring that automake does
> not fail for the wrong reasons.
> * ltinit.test: New test, ensure that automake's libtool support
> works with LT_INIT-based interface.
> 
> Thanks to Jack Kelly for the suggestion.